<div class="row m-0">
    <div class="col-12">
        <div class="btn-group pull-right" dropdown>
            page No.:
            <button dropdownToggle type="button" class="btn dropdown-toggle">{{(curPage ? curPage : '1') + ' of ' +
                curRequirement?.questionIds.length}}
            </button>
            <ul *dropdownMenu class="dropdown-menu route-links" role="menu">
                <li *ngFor="let question of curRequirement?.questionIds; let i = index " role="menuitem">
                    <a class="dropdown-item" href="javascript:" routerLinkActive="active"
                       routerLink="{{'./question/' + question}}" (click)="curPage = (i+1)">
                        {{(i + 1) + ' of ' + curRequirement?.questionIds?.length}}
                    </a>
                </li>
            </ul>
        </div>
    </div>
    <div class="col-md-12">
        <div class="d-flex mb-3">
            <h6><span>Self-Assessment Questionnaire (SAQ) > {{curRequirement?.requirementCategoryId.categoryName}}</span></h6>
        </div>
        <div class="custom-card">
            <div class="card-header border-0">
                <h6><span>{{curState === STATE.OTHERS ? 'Requirement ' : 'Appendix A'}}{{curRequirement?.requirementNumber}}: </span>{{curRequirement?.requirement}}</h6>
            </div>
        </div>
        <router-outlet></router-outlet>
    </div>
</div>
